Debian Bug report logs - #628829
tp-smapi doesn't load on new sandybridge ThinkPad models

version graph

Package: tp-smapi-dkms; Maintainer for tp-smapi-dkms is Evgeni Golov <evgeni@debian.org>; Source for tp-smapi-dkms is src:tp-smapi.

Reported by: Steven Barth <steven@midlink.org>

Date: Wed, 1 Jun 2011 17:15:04 UTC

Severity: normal

Tags: patch

Found in version tp-smapi/0.40-9

Fixed in version tp-smapi/0.41-1

Done: Evgeni Golov <evgeni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Wed, 01 Jun 2011 17:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Barth <steven@midlink.org>:
New Bug report received and forwarded. Copy sent to Evgeni Golov <evgeni@debian.org>. (Wed, 01 Jun 2011 17:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Barth <steven@midlink.org>
To: submit@bugs.debian.org
Subject: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Wed, 1 Jun 2011 19:01:55 +0200
[Message part 1 (text/plain, inline)]
Package: tp-smapi-dkms
Version: 0.40-9
Tags: patch

The tp-smapi kernel module doesn't load on the latest generation of ThinkPads 
(T420(s), T520, X220(t), W520) although they have a working embedded 
controller. It seems the EC just isn't announced via DMI anymore or if it is, 
then in an unknown way.

This causes modprobe to fail with the error: "No such device" and kernel log 
to show "thinkpad_ec: no ThinkPad embedded controller!"

I can verify this for my T420s with EC version 1.07 but it can easily be 
confirmed for other models by googling for "X220 tp_smapi" or similar.

However by adding the new models to the whitelist intended for older ThinkPad 
models most of the known functionality of tp_smapi is available with the 
exception that force_discharge and start_charge_threshold cannot be read as 
the read returns ENXIO.

I've used kernels 2.6.38 and 2.6.39 and am now working on 3.0.0-rc1 however 
there doesn't seem to be any change.

I suggest to whitelists all the sandybridge models in tp-smapi as this seems 
to be a reasonable workaround to at least restore access to most of tp_smapi's 
features for these new models. Therefore I've attached a patch doing that.

[tp-smapi-whitelist-sandybridge.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#628829; Package tp-smapi-dkms. (Fri, 03 Jun 2011 11:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. (Fri, 03 Jun 2011 11:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 628829@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Steven Barth <steven@midlink.org>, 628829@bugs.debian.org
Cc: thilo@ginkel.com
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Fri, 03 Jun 2011 13:16:19 +0200
Hi Steven, Hi Thilo,


On 06/01/2011 07:01 PM, Steven Barth wrote:

> The tp-smapi kernel module doesn't load on the latest generation of ThinkPads 
> (T420(s), T520, X220(t), W520) although they have a working embedded 
> controller. It seems the EC just isn't announced via DMI anymore or if it is, 
> then in an unknown way.

I must admit I do not like either of your patches, as maintaining a
whitelist is awful.

Could you both please send me the output of dmidecode (remove any
system-serials before, gzipped, private mail is sufficient) and I'll try
to poke around to find something nice for tp_smapi. If not, we still can
apply one of your patches ;)

TIA and regards
Evgeni, just created https://github.com/evgeni/tp_smapi for "upstream"
development of tp-smapi as original maintainer seems gone :(




Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Fri, 03 Jun 2011 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thilo-Alexander Ginkel <thilo@ginkel.com>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Fri, 03 Jun 2011 11:30:03 GMT) Full text and rfc822 format available.

Message #15 received at 628829@bugs.debian.org (full text, mbox):

From: Thilo-Alexander Ginkel <thilo@ginkel.com>
To: Evgeni Golov <evgeni@debian.org>
Cc: 628829@bugs.debian.org
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Fri, 3 Jun 2011 13:27:04 +0200
[Message part 1 (text/plain, inline)]
Hi Evgeni,

thanks for your reply.

On Fri, Jun 3, 2011 at 13:16, Evgeni Golov <evgeni@debian.org> wrote:
> On 06/01/2011 07:01 PM, Steven Barth wrote:
>
>> The tp-smapi kernel module doesn't load on the latest generation of ThinkPads
>> (T420(s), T520, X220(t), W520) although they have a working embedded
>> controller. It seems the EC just isn't announced via DMI anymore or if it is,
>> then in an unknown way.
>
> I must admit I do not like either of your patches, as maintaining a
> whitelist is awful.

Agreed.

> Could you both please send me the output of dmidecode (remove any
> system-serials before, gzipped, private mail is sufficient) and I'll try
> to poke around to find something nice for tp_smapi. If not, we still can
> apply one of your patches ;)

Please find attached the requested dmidecode dump. Hopefully that
helps coming up with an alternative detection method although from
what I can see the dump does not look too promising (maybe some OEM
field).

BTW, the patch at [1] (or an equivalent) will be necessary even f you
come up with an alternative detection method as the newer ThinkPads do
not seem to support setting start thresholds, which caused setting the
stop thresholds to fail.

Thanks,
Thilo

[1] https://github.com/ginkel/tp_smapi/commit/8c606b476b5859b2d6798e6df15aa0316ca6a206
[dmidecode-t420s.txt.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#628829; Package tp-smapi-dkms. (Fri, 03 Jun 2011 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. (Fri, 03 Jun 2011 12:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 628829@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Thilo-Alexander Ginkel <thilo@ginkel.com>, 628829@bugs.debian.org, 628829-submitter@bugs.debian.org
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Fri, 03 Jun 2011 14:09:37 +0200
On 06/03/2011 01:27 PM, Thilo-Alexander Ginkel wrote:

> Please find attached the requested dmidecode dump. Hopefully that
> helps coming up with an alternative detection method although from
> what I can see the dump does not look too promising (maybe some OEM
> field).

Damn. Seems not to be in there. Bad Lenovo, bad!
Looking at the source, a whitelist entry of the type
"LENOVO", "ThinkPad" (without a model number) should work too.
Could you try this? I'd really love to avoid patching every time Lenovo
releases a new thinkpad.




Message sent on to Steven Barth <steven@midlink.org>:
Bug#628829. (Fri, 03 Jun 2011 12:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Fri, 03 Jun 2011 12:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thilo-Alexander Ginkel <thilo@ginkel.com>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Fri, 03 Jun 2011 12:57:07 GMT) Full text and rfc822 format available.

Message #28 received at 628829@bugs.debian.org (full text, mbox):

From: Thilo-Alexander Ginkel <thilo@ginkel.com>
To: Evgeni Golov <evgeni@debian.org>
Cc: 628829@bugs.debian.org, 628829-submitter@bugs.debian.org
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Fri, 3 Jun 2011 14:53:41 +0200
On Fri, Jun 3, 2011 at 14:09, Evgeni Golov <evgeni@debian.org> wrote:
> Looking at the source, a whitelist entry of the type
> "LENOVO", "ThinkPad" (without a model number) should work too.
> Could you try this? I'd really love to avoid patching every time Lenovo
> releases a new thinkpad.

Yep, that variant seems to work (on my T420s) without any issues.

Regards,
Thilo




Message sent on to Steven Barth <steven@midlink.org>:
Bug#628829. (Fri, 03 Jun 2011 12:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#628829; Package tp-smapi-dkms. (Fri, 03 Jun 2011 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. (Fri, 03 Jun 2011 13:27:03 GMT) Full text and rfc822 format available.

Message #36 received at 628829@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Thilo-Alexander Ginkel <thilo@ginkel.com>, 628829@bugs.debian.org
Cc: 628829-submitter@bugs.debian.org, hmh@debian.org
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Fri, 03 Jun 2011 15:23:38 +0200
[ CC'ing Henrique as he is the maintainer for thinkpad_acpi and knows a
lot about Thinkpads ]

On 06/03/2011 02:53 PM, Thilo-Alexander Ginkel wrote:
> On Fri, Jun 3, 2011 at 14:09, Evgeni Golov <evgeni@debian.org> wrote:
>> Looking at the source, a whitelist entry of the type
>> "LENOVO", "ThinkPad" (without a model number) should work too.
>> Could you try this? I'd really love to avoid patching every time Lenovo
>> releases a new thinkpad.
> 
> Yep, that variant seems to work (on my T420s) without any issues.

That's great. I guess we can just assume every Lenovo branded Thinkpad
has a working EC. Or do you disagree, Henrique?

@Steven: can you confirm Thilo's result?
@Thilo: just saw your post on thinkpad-forum.de, thanks for the work
there! :)




Message sent on to Steven Barth <steven@midlink.org>:
Bug#628829. (Fri, 03 Jun 2011 13:27:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Fri, 03 Jun 2011 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Barth <steven@midlink.org>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Fri, 03 Jun 2011 13:36:03 GMT) Full text and rfc822 format available.

Message #44 received at 628829@bugs.debian.org (full text, mbox):

From: Steven Barth <steven@midlink.org>
To: Evgeni Golov <evgeni@debian.org>
Cc: "Thilo-Alexander Ginkel" <thilo@ginkel.com>, 628829@bugs.debian.org
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Fri, 3 Jun 2011 15:25:46 +0200
> Damn. Seems not to be in there. Bad Lenovo, bad!
> Looking at the source, a whitelist entry of the type
> "LENOVO", "ThinkPad" (without a model number) should work too.
> Could you try this? I'd really love to avoid patching every time Lenovo
> releases a new thinkpad.

Yes, this works, thanks.





Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Fri, 03 Jun 2011 18:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Fri, 03 Jun 2011 18:03:06 GMT) Full text and rfc822 format available.

Message #49 received at 628829@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Evgeni Golov <evgeni@debian.org>
Cc: Thilo-Alexander Ginkel <thilo@ginkel.com>, 628829@bugs.debian.org, 628829-submitter@bugs.debian.org
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Fri, 3 Jun 2011 14:58:59 -0300
On Fri, 03 Jun 2011, Evgeni Golov wrote:
> [ CC'ing Henrique as he is the maintainer for thinkpad_acpi and knows a
> lot about Thinkpads ]
> 
> On 06/03/2011 02:53 PM, Thilo-Alexander Ginkel wrote:
> > On Fri, Jun 3, 2011 at 14:09, Evgeni Golov <evgeni@debian.org> wrote:
> >> Looking at the source, a whitelist entry of the type
> >> "LENOVO", "ThinkPad" (without a model number) should work too.
> >> Could you try this? I'd really love to avoid patching every time Lenovo
> >> releases a new thinkpad.
> > 
> > Yep, that variant seems to work (on my T420s) without any issues.
> 
> That's great. I guess we can just assume every Lenovo branded Thinkpad
> has a working EC. Or do you disagree, Henrique?

Look at what thinkpad-acpi does in *2.6.39*, instead.  It can detect all
current ThinkPad ECs just fine, including ones where the factory screwed up,
and shipped a pre-release firmware (happened to none other than Keith
Packard himself :p).

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Message sent on to Steven Barth <steven@midlink.org>:
Bug#628829. (Fri, 03 Jun 2011 18:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#628829; Package tp-smapi-dkms. (Fri, 03 Jun 2011 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. (Fri, 03 Jun 2011 19:27:03 GMT) Full text and rfc822 format available.

Message #57 received at 628829@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>, 628829@bugs.debian.org
Cc: Thilo-Alexander Ginkel <thilo@ginkel.com>, 628829-submitter@bugs.debian.org
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Fri, 3 Jun 2011 21:23:59 +0200
Hi,

On Fri, Jun 03, 2011 at 02:58:59PM -0300, Henrique de Moraes Holschuh wrote:

> > That's great. I guess we can just assume every Lenovo branded Thinkpad
> > has a working EC. Or do you disagree, Henrique?
> 
> Look at what thinkpad-acpi does in *2.6.39*, instead.  It can detect all
> current ThinkPad ECs just fine, including ones where the factory screwed up,
> and shipped a pre-release firmware (happened to none other than Keith
> Packard himself :p).

Heh, you mean the X201s[1]? That's not a Sandy-Bridge one...
The Sandy-Bridge ones do not announce the EC in DMI *at all* :/
Loading thinkpad-acpi on those works, dmesg shows[2]:
[    6.385415] thinkpad_acpi: ThinkPad BIOS 8BET44WW (1.24 ), EC unknown
[    6.385416] thinkpad_acpi: Lenovo ThinkPad W520, model 4270CTO
So yes, it works, but that's not detecting :)

We could do the same stuff as you in get_thinkpad_model_data() and/or 
probe_for_thinkpad()...

[1] 
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=b569ab3911aca64841bd819720d2b241aa09d713
[2] http://lists.debian.org/debian-user/2011/05/msg01881.html IIRC you 
was on that thread too.

-- 
Bruce Schneier can read and understand Perl programs.




Message sent on to Steven Barth <steven@midlink.org>:
Bug#628829. (Fri, 03 Jun 2011 19:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Fri, 03 Jun 2011 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Fri, 03 Jun 2011 21:24:03 GMT) Full text and rfc822 format available.

Message #65 received at 628829@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Evgeni Golov <evgeni@debian.org>
Cc: 628829@bugs.debian.org, Thilo-Alexander Ginkel <thilo@ginkel.com>, 628829-submitter@bugs.debian.org
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Fri, 3 Jun 2011 18:21:26 -0300
On Fri, 03 Jun 2011, Evgeni Golov wrote:
> The Sandy-Bridge ones do not announce the EC in DMI *at all* :/

Err, that's a "ask Lenovo" level of problem.  It can actually mean it is not
trying to be backwards compatible anymore.

And it certianly means it will be much more annoying to handle firmware
quirks.

> We could do the same stuff as you in get_thinkpad_model_data() and/or 
> probe_for_thinkpad()...

Yes.

> [2] http://lists.debian.org/debian-user/2011/05/msg01881.html IIRC you 
> was on that thread too.

Indeed, but I didn't notice the "EC unknown" part.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Message sent on to Steven Barth <steven@midlink.org>:
Bug#628829. (Fri, 03 Jun 2011 21:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Fri, 03 Jun 2011 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thilo-Alexander Ginkel <thilo@ginkel.com>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Fri, 03 Jun 2011 22:03:03 GMT) Full text and rfc822 format available.

Message #73 received at 628829@bugs.debian.org (full text, mbox):

From: Thilo-Alexander Ginkel <thilo@ginkel.com>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: Evgeni Golov <evgeni@debian.org>, 628829@bugs.debian.org, 628829-submitter@bugs.debian.org
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Fri, 3 Jun 2011 23:58:37 +0200
On Fri, Jun 3, 2011 at 23:21, Henrique de Moraes Holschuh
<hmh@debian.org> wrote:
> On Fri, 03 Jun 2011, Evgeni Golov wrote:
>> The Sandy-Bridge ones do not announce the EC in DMI *at all* :/
>
> Err, that's a "ask Lenovo" level of problem.  It can actually mean it is not
> trying to be backwards compatible anymore.

IMHO, it is no longer backwards-compatible as the set_start_threshold
SMAPI call no longer works.

Regards,
Thilo




Message sent on to Steven Barth <steven@midlink.org>:
Bug#628829. (Fri, 03 Jun 2011 22:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Mon, 13 Jun 2011 17:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to CHERN Yen-Chieh <angelchern@gmail.com>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Mon, 13 Jun 2011 17:09:12 GMT) Full text and rfc822 format available.

Message #81 received at 628829@bugs.debian.org (full text, mbox):

From: CHERN Yen-Chieh <angelchern@gmail.com>
To: 628829@bugs.debian.org, Evgeni Golov <evgeni@debian.org>
Subject: Re: Bug#628829: tp-smapi doesn't load on new sandybridge ThinkPad models
Date: Mon, 13 Jun 2011 12:07:34 -0500
[Message part 1 (text/plain, inline)]
Hi, Evgeni,

I tried adding "TP_DMI_MATCH("LENOVO", "ThinkPad W520")," to
thinkpad_ec.c and replaced file in the source package with patched
thinkpad_ec.c. Then I issued "#module-assistant auto-install tp-smapi"
and installed the deb file. However, that did not work and dmesg still
shows the following, 

usr@debian-thinkpadw520:~$ dmesg |grep thinkpad
[    8.094323] thinkpad_acpi: ThinkPad ACPI Extras v0.24
[    8.094325] thinkpad_acpi: http://ibm-acpi.sf.net/
[    8.094327] thinkpad_acpi: ThinkPad BIOS 8BET44WW (1.24 ), EC unknown
[    8.094329] thinkpad_acpi: Lenovo ThinkPad W520, model 4270CTO
[    8.094797] thinkpad_acpi: detected a 8-level brightness capable
ThinkPad
[    8.094924] thinkpad_acpi: radio switch found; radios are enabled
[    8.096793] thinkpad_acpi: rfkill switch tpacpi_bluetooth_sw: radio
is unblocked
[    8.097430] thinkpad_acpi: Standard ACPI backlight interface
available, not loading native one.
[    8.097525] thinkpad_acpi: Console audio control enabled, mode:
monitor (read only)
[    8.098634] input: ThinkPad Extra Buttons
as /devices/platform/thinkpad_acpi/input/input8
[   11.335834] thinkpad_ec: no ThinkPad embedded controller!
[   11.359248] thinkpad_ec: no ThinkPad embedded controller!
[   11.408783] thinkpad_ec: no ThinkPad embedded controller!
[   13.779098] thinkpad_ec: no ThinkPad embedded controller!

I've attached the dmidecode output below and hope it helps.

Thanks.

YC

[dmidecode-w520.txt (text/plain, attachment)]

Reply sent to Evgeni Golov <evgeni@debian.org>:
You have taken responsibility. (Fri, 29 Jul 2011 11:21:03 GMT) Full text and rfc822 format available.

Notification sent to Steven Barth <steven@midlink.org>:
Bug acknowledged by developer. (Fri, 29 Jul 2011 11:21:07 GMT) Full text and rfc822 format available.

Message #86 received at 628829-close@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 628829-close@bugs.debian.org
Subject: Bug#628829: fixed in tp-smapi 0.41-1
Date: Fri, 29 Jul 2011 11:18:38 +0000
Source: tp-smapi
Source-Version: 0.41-1

We believe that the bug you reported is fixed in the latest version of
tp-smapi, which is due to be installed in the Debian FTP archive:

tp-smapi-dkms_0.41-1_all.deb
  to main/t/tp-smapi/tp-smapi-dkms_0.41-1_all.deb
tp-smapi-source_0.41-1_all.deb
  to main/t/tp-smapi/tp-smapi-source_0.41-1_all.deb
tp-smapi_0.41-1.diff.gz
  to main/t/tp-smapi/tp-smapi_0.41-1.diff.gz
tp-smapi_0.41-1.dsc
  to main/t/tp-smapi/tp-smapi_0.41-1.dsc
tp-smapi_0.41.orig.tar.gz
  to main/t/tp-smapi/tp-smapi_0.41.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628829@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Evgeni Golov <evgeni@debian.org> (supplier of updated tp-smapi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 29 Jul 2011 12:33:50 +0200
Source: tp-smapi
Binary: tp-smapi-source tp-smapi-dkms
Architecture: source all
Version: 0.41-1
Distribution: unstable
Urgency: low
Maintainer: Evgeni Golov <evgeni@debian.org>
Changed-By: Evgeni Golov <evgeni@debian.org>
Description: 
 tp-smapi-dkms - ThinkPad hardware/firmware access modules source - dkms version
 tp-smapi-source - ThinkPad hardware/firmware access modules source
Closes: 628829 635650
Changes: 
 tp-smapi (0.41-1) unstable; urgency=low
 .
   * New "upstream" release.
     + Droping all patches but the debian specific one.
     + Supports Sandy Bridge ThinkPads. Closes: #628829, #635650
   * README.source should point to quilt doc (since 0.40-3!)
   * Install README.Debian in the dkms package too, thanks rhalina!
   * Standards-Version: 3.9.2
   * Install the sysfs.conf example in -dkms and -source too.
Checksums-Sha1: 
 2d7806452f613923c6b644d92345eba4cb36fa15 1169 tp-smapi_0.41-1.dsc
 ab222a41a2773bfa8a67c4b74343655dca6fb8be 38852 tp-smapi_0.41.orig.tar.gz
 de215f85643dd1888b2ea5ecc869aff67d2f865d 6868 tp-smapi_0.41-1.diff.gz
 643d0ab3d05edf9f13c3ef1c47377bf94b258c0d 59610 tp-smapi-source_0.41-1_all.deb
 e2b710dfc5172c997eadd23ce631e1b23d02880e 46306 tp-smapi-dkms_0.41-1_all.deb
Checksums-Sha256: 
 d26dc6f346db736746c74c232dbff6b75eaa2efb5b72ecc77c9d95207ffcacc7 1169 tp-smapi_0.41-1.dsc
 6aef02b92d10360ac9be0db29ae390636be55017990063a092a285c70b54e666 38852 tp-smapi_0.41.orig.tar.gz
 b2202c1f8679af29e1c766c205ef832ad91d9ea1410d98f54b4eac308c814872 6868 tp-smapi_0.41-1.diff.gz
 4df3b5c4010bdfb5f5ca639b4ac9342038e8b7016797718e742f35411901621b 59610 tp-smapi-source_0.41-1_all.deb
 c7e8d463ecd767c24c6b681808efaaeac279f9a878ce4d49a7b6cda7dfac7b7f 46306 tp-smapi-dkms_0.41-1_all.deb
Files: 
 748f781bc1ec48016c80c2b70ed7bdcd 1169 kernel optional tp-smapi_0.41-1.dsc
 63c683415c764568f6bf17c7eabe4752 38852 kernel optional tp-smapi_0.41.orig.tar.gz
 42e4b6d069f59c94a1075b0b2458f0b0 6868 kernel optional tp-smapi_0.41-1.diff.gz
 739168effd960b04f48dc6c0c3dd6444 59610 kernel optional tp-smapi-source_0.41-1_all.deb
 b36308f32603e6200de1bc7a16ba821e 46306 kernel optional tp-smapi-dkms_0.41-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4ylnEACgkQJKAUGKwVtQxmKACeO8ekiX5cjHrHpG3qbDXzKYab
5q8AnjGMnAD0nWhdQb8bZDo6cd+07zvE
=ia2t
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Wed, 03 Aug 2011 04:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karoly Negyesi <karoly@negyesi.net>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Wed, 03 Aug 2011 04:33:02 GMT) Full text and rfc822 format available.

Message #91 received at 628829@bugs.debian.org (full text, mbox):

From: Karoly Negyesi <karoly@negyesi.net>
To: 628829@bugs.debian.org
Subject: It loads but it doesnt work
Date: Tue, 2 Aug 2011 21:16:20 -0700
Aug  2 21:12:57 localhost kernel: [102594.559613] thinkpad_ec:
thinkpad_ec 0.41 loaded.
Aug  2 21:12:57 localhost kernel: [102594.560529] tp_smapi 0.41 loading...
Aug  2 21:12:57 localhost kernel: [102594.560696] tp_smapi
successfully loaded (smapi_port=0xb2).
Aug  2 21:13:26 localhost kernel: [102623.070922] smapi smapi:
smapi_request: SMAPI error: SMAPI function is not available
(func=2116)
Aug  2 21:13:26 localhost kernel: [102623.070934] smapi smapi:
__get_real_thresh: cannot get start_thresh of bat=0: SMAPI function is
not available




Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Wed, 03 Aug 2011 07:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Evgeni Golov" <evgeni@golov.de>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Wed, 03 Aug 2011 07:42:08 GMT) Full text and rfc822 format available.

Message #96 received at 628829@bugs.debian.org (full text, mbox):

From: "Evgeni Golov" <evgeni@golov.de>
To: Karoly Negyesi <karoly@negyesi.net>
Cc: 628829@bugs.debian.org
Subject: AW: Bug#628829: It loads but it doesnt work
Date: Wed, 3 Aug 2011 09:39:12 +0200
Hi,

Start tresh and force discharge do not work on sandy bridge models, the rest should be fine. I did not dig deeper into that yet and wont be able to do for a week (currently at wacken).

Greets

-- Urspr. Mitt. --
Betreff: Bug#628829: It loads but it doesnt work
Von: Karoly Negyesi <karoly@negyesi.net>
Datum: 03.08.2011 06:33

Aug  2 21:12:57 localhost kernel: [102594.559613] thinkpad_ec:
thinkpad_ec 0.41 loaded.
Aug  2 21:12:57 localhost kernel: [102594.560529] tp_smapi 0.41 loading...
Aug  2 21:12:57 localhost kernel: [102594.560696] tp_smapi
successfully loaded (smapi_port=0xb2).
Aug  2 21:13:26 localhost kernel: [102623.070922] smapi smapi:
smapi_request: SMAPI error: SMAPI function is not available
(func=2116)
Aug  2 21:13:26 localhost kernel: [102623.070934] smapi smapi:
__get_real_thresh: cannot get start_thresh of bat=0: SMAPI function is
not available







Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Sat, 03 Sep 2011 21:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Deepak Iyer <deepaki@physics.rutgers.edu>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Sat, 03 Sep 2011 21:54:08 GMT) Full text and rfc822 format available.

Message #101 received at 628829@bugs.debian.org (full text, mbox):

From: Deepak Iyer <deepaki@physics.rutgers.edu>
To: 628829@bugs.debian.org
Subject: still doesn't load on ThinkPad E420s
Date: Sat, 03 Sep 2011 16:45:23 -0400
Hi

I get the same error with 0.41 and 0.40-9 patched with the whitelist.

thinkpad_ec: thinkpad_ec_read_row: failed requesting row: 
(0x01:0x00)->0xfffffff0
thinkpad_ec: initial ec test failed

any help would be appreciated. I'm running a i5-2410M on a thinkpad edge 
e420s, with ubuntu 11.04, kernel 2.6.38-11-generic x86_64

Thanks!




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#628829; Package tp-smapi-dkms. (Mon, 12 Sep 2011 16:03:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. (Mon, 12 Sep 2011 16:03:35 GMT) Full text and rfc822 format available.

Message #106 received at 628829@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Deepak Iyer <deepaki@physics.rutgers.edu>, 628829@bugs.debian.org
Subject: Re: Bug#628829: still doesn't load on ThinkPad E420s
Date: Mon, 12 Sep 2011 17:59:23 +0200
On 09/03/2011 10:45 PM, Deepak Iyer wrote:
> Hi
> 
> I get the same error with 0.41 and 0.40-9 patched with the whitelist.
> 
> thinkpad_ec: thinkpad_ec_read_row: failed requesting row:
> (0x01:0x00)->0xfffffff0
> thinkpad_ec: initial ec test failed
> 
> any help would be appreciated. I'm running a i5-2410M on a thinkpad edge
> e420s, with ubuntu 11.04, kernel 2.6.38-11-generic x86_64

The Edges are sadly not really supported, some of them work, most do
not, I fear I cannot help you here (it's not the same bug).

Regards
Evgeni




Information forwarded to debian-bugs-dist@lists.debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#628829; Package tp-smapi-dkms. (Mon, 12 Sep 2011 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Deepak Iyer <deepaki@physics.rutgers.edu>:
Extra info received and forwarded to list. Copy sent to Evgeni Golov <evgeni@debian.org>. (Mon, 12 Sep 2011 16:09:05 GMT) Full text and rfc822 format available.

Message #111 received at 628829@bugs.debian.org (full text, mbox):

From: Deepak Iyer <deepaki@physics.rutgers.edu>
To: Evgeni Golov <evgeni@debian.org>
Cc: 628829@bugs.debian.org
Subject: Re: Bug#628829: still doesn't load on ThinkPad E420s
Date: Mon, 12 Sep 2011 12:06:49 -0400
Hi

Thanks for the reply.. That's rather unfortunate.. Is there any hope of 
support in the near future?

Deepak

On 09/12/2011 11:59 AM, Evgeni Golov wrote:
> On 09/03/2011 10:45 PM, Deepak Iyer wrote:
>> Hi
>>
>> I get the same error with 0.41 and 0.40-9 patched with the whitelist.
>>
>> thinkpad_ec: thinkpad_ec_read_row: failed requesting row:
>> (0x01:0x00)->0xfffffff0
>> thinkpad_ec: initial ec test failed
>>
>> any help would be appreciated. I'm running a i5-2410M on a thinkpad edge
>> e420s, with ubuntu 11.04, kernel 2.6.38-11-generic x86_64
>
> The Edges are sadly not really supported, some of them work, most do
> not, I fear I cannot help you here (it's not the same bug).
>
> Regards
> Evgeni




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#628829; Package tp-smapi-dkms. (Mon, 12 Sep 2011 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. (Mon, 12 Sep 2011 16:33:03 GMT) Full text and rfc822 format available.

Message #116 received at 628829@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Deepak Iyer <deepaki@physics.rutgers.edu>, 628829@bugs.debian.org
Subject: Re: Bug#628829: still doesn't load on ThinkPad E420s
Date: Mon, 12 Sep 2011 18:32:12 +0200
On 09/12/2011 06:06 PM, Deepak Iyer wrote:
> Hi
> 
> Thanks for the reply.. That's rather unfortunate.. Is there any hope of
> support in the near future?

I fear not. Lenovo uses slightly different firmware on the
not-so-ThinkPad ThinkPads (Edge, SL, L, X1xxe) making tp-smapi not work.

There is maybe hope if you can get
https://gitorious.org/linux-test-utils/tp_charge to work (please try!),
but besides of that I have sadly no idea how to fix this on your "ThinkPad".

Regards
Evgeni




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Oct 2011 07:33:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:04:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.